Subject: bug#49980: 28.0.50; [PATCH] Should we have project-save-buffers?

From: Arthur Miller <[email-masked]>
Date: Mon, 16 Aug 2021 15:22:36 +0200

Dmitry Gutov <[email-masked]> writes:

> On 16.08.2021 04:19, Arthur Miller wrote:
>> What do you think about checking out, between multiple different
>> branches? Switching two branches back and forth is no brainer, it should
>> always work fine, but switching multiple branches can lead to mess since
>> stashes are applied automatically. Any good strategy to automate this
>> case?
>
> I don't know. You're automating a case I have been handling manually (and hadn't
> been bothered by that, thus far).
>
> You will most likely encounter some edge cases where the automation breaks, but
> it's hard to predict those in advance.
>
>> Honestly, I don't see much difference than doing it manually, but I am a
>> bit affraid of auto applying stashes.
>
> As long as they're named ones (and thus you won't miss and accidentally pop an
> unrelated one), this should work fine.

Yes, they are named ones. I am trying to think out what could get
messed, but since everything is stashed away on every checkout, so I
don't think it should be more dangerous than doing it manually. Don't
time will tell me, I am using this myself, so I guess I'll notice.

thanks for the feedback